com.pivotal.gemfirexd.internal.client.net

## Class NetPreparedStatement

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.NetStatement
  - - com.pivotal.gemfirexd.internal.client.net.NetPreparedStatement

All Implemented Interfaces:
  MaterialPreparedStatement, MaterialStatement

Direct Known Subclasses:
  NetCallableStatement

    public class NetPreparedStatement
    extends NetStatement
    implements MaterialPreparedStatement

### Field Summary

### Fields inherited from class com.pivotal.gemfirexd.internal.client.net.NetStatement

`qryrowsetSentOnOpnqry_`

### Method Summary

Methods
`protected void` `finalize()`
`void` `readDescribeInput_()`
`void` `readDescribeOutput_()`
`void` `readExecute_()`
`void` `writeDescribeInput_(Section section)`
`void` `writeDescribeOutput_(Section section)`
`void` `writeExecute_(Section section, ColumnMetaData parameterMetaData, Object[] inputs, int numInputColumns, boolean outputExpected, boolean chainedWritesFollowingSetLob)`
`void` `writeExecute_(Section section, ColumnMetaData parameterMetaData, Object[] inputs, int numInputColumns, boolean outputExpected, boolean batchOutput, boolean chainedWritesFollowingSetLob)`
`void` `writeOpenQuery_(Section section, int fetchSize, int resultSetType, int numInputColumns, ColumnMetaData parameterMetaData, Object[] inputs)`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetStatement

`markClosedOnServer_, readExecuteCall_, readExecuteImmediate_, readExecuteImmediateForBatch_, readOpenQuery_, readPrepare_, readPrepareDescribeOutput_, readSetSpecialRegister_, readStatementID_, reset_, writeExecuteCall_, writeExecuteImmediate_, writeGetStmtUUID, writeOpenQuery_, writePrepare_, writePrepareDescribeOutput_, writeSetSpecialRegister_`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.pivotal.gemfirexd.internal.client.am.MaterialStatement

`markClosedOnServer_, readExecuteCall_, readExecuteImmediate_, readExecuteImmediateForBatch_, readOpenQuery_, readPrepare_, readPrepareDescribeOutput_, readSetSpecialRegister_, readStatementID_, reset_, writeExecuteCall_, writeExecuteImmediate_, writeGetStmtUUID, writeOpenQuery_, writePrepare_, writePrepareDescribeOutput_, writeSetSpecialRegister_`

### Method Detail

#### finalize

    protected void finalize()
                     throws Throwable

Overrides:
  `finalize` in class `NetStatement`
Throws:
  `Throwable`

#### writeExecute_

    public void writeExecute_(Section section,
                     ColumnMetaData parameterMetaData,
                     Object[] inputs,
                     int numInputColumns,
                     boolean outputExpected,
                     boolean chainedWritesFollowingSetLob)
                       throws SqlException

Specified by:
  `writeExecute_` in interface `MaterialPreparedStatement`
Throws:
  `SqlException`

#### writeExecute_

    public void writeExecute_(Section section,
                     ColumnMetaData parameterMetaData,
                     Object[] inputs,
                     int numInputColumns,
                     boolean outputExpected,
                     boolean batchOutput,
                     boolean chainedWritesFollowingSetLob)
                       throws SqlException

Specified by:
  `writeExecute_` in interface `MaterialPreparedStatement`
Throws:
  `SqlException`

#### readExecute_

    public void readExecute_()
                      throws SqlException

Specified by:
  `readExecute_` in interface `MaterialPreparedStatement`
Throws:
  `SqlException`

#### writeOpenQuery_

    public void writeOpenQuery_(Section section,
                       int fetchSize,
                       int resultSetType,
                       int numInputColumns,
                       ColumnMetaData parameterMetaData,
                       Object[] inputs)
                         throws SqlException

Specified by:
  `writeOpenQuery_` in interface `MaterialPreparedStatement`
Throws:
  `SqlException`

#### writeDescribeInput_

    public void writeDescribeInput_(Section section)
                             throws SqlException

Specified by:
  `writeDescribeInput_` in interface `MaterialPreparedStatement`
Throws:
  `SqlException`

#### readDescribeInput_

    public void readDescribeInput_()
                            throws SqlException

Specified by:
  `readDescribeInput_` in interface `MaterialPreparedStatement`
Throws:
  `SqlException`

#### writeDescribeOutput_

    public void writeDescribeOutput_(Section section)
                              throws SqlException

Specified by:
  `writeDescribeOutput_` in interface `MaterialPreparedStatement`
Throws:
  `SqlException`

#### readDescribeOutput_

    public void readDescribeOutput_()
                             throws SqlException

Specified by:
  `readDescribeOutput_` in interface `MaterialPreparedStatement`
Throws:
  `SqlException`